{
  "name": "gx-compliance",
  "version": "2.1.0",
  "description": "Prototype for a compliance service as defined in https://gaia-x.gitlab.io/policy-rules-committee/trust-framework/",
  "author": "Gaia-X Lab",
  "private": true,
  "license": "EPL-2.0",
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:gaia-x/lab/compliance/gx-compliance.git"
  },
  "bugs": {
    "url": "https://gitlab.com/gaia-x/lab/compliance/gx-compliance/-/issues"
  },
  "scripts": {
    "postinstall": "npx cross-env NODE_ENV=production && exit 0; husky install",
    "prebuild": "rimraf dist",
    "clean": "rimraf dist/",
    "build": "nest build && npm run clean && nest build && tsc",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/src/main",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix && tsc --noEmit",
    "test": "cross-env NODE_OPTIONS=\"$NODE_OPTIONS --experimental-vm-modules\" jest",
    "test:unit": "cross-env NODE_OPTIONS=\"$NODE_OPTIONS --experimental-vm-modules\" jest --config=jest-unit.config.js",
    "test:integration": "cross-env NODE_OPTIONS=\"$NODE_OPTIONS --experimental-vm-modules\" jest --config=jest-integration.config.js",
    "test:watch": "cross-env NODE_OPTIONS=\"$NODE_OPTIONS --experimental-vm-modules\" jest --watch",
    "test:cov": "cross-env NODE_OPTIONS=\"$NODE_OPTIONS --experimental-vm-modules\" jest --coverage",
    "test:debug": "node --experimental-vm-modules --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "prepare": "husky install"
  },
  "dependencies": {
    "@digitalbazaar/http-client": "^3.4.0",
    "@gaia-x/json-web-signature-2020": "^2.0.1",
    "@nestjs/axios": "^3.0.0",
    "@nestjs/common": "^10.1.3",
    "@nestjs/config": "^3.0.0",
    "@nestjs/core": "^10.1.3",
    "@nestjs/platform-express": "^10.1.3",
    "@nestjs/schedule": "^3.0.3",
    "@nestjs/serve-static": "^4.0.0",
    "@nestjs/swagger": "^7.1.8",
    "@rdfjs/parser-jsonld": "^1.3.1",
    "@rdfjs/parser-n3": "^1.1.4",
    "@types/luxon": "^3.4.2",
    "@types/node-forge": "^1.3.11",
    "@types/rdf-ext": "^1.3.11",
    "canonicalize": "^2.0.0",
    "cross-env": "7.0.3",
    "did-resolver": "^4.1.0",
    "express": "^4.18.2",
    "husky": "^7.0.4",
    "joi": "^17.9.2",
    "jose": "^4.9.3",
    "jsonld": "^5.2.0",
    "jsonpath": "^1.1.1",
    "luxon": "^3.4.4",
    "media-typer": "^1.1.0",
    "neo4j-driver": "^5.9.2",
    "node-forge": "^1.3.1",
    "ntp-time-sync": "^0.3.0",
    "raw-body": "^2.5.2",
    "rdf-ext": "^1.3.5",
    "rdf-validate-shacl": "^0.4.5",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^7.5.6",
    "strong-soap": "^3.4.0",
    "swagger-ui-express": "^4.5.0"
  },
  "devDependencies": {
    "@commitlint/cli": "^16.3.0",
    "@commitlint/config-conventional": "^16.2.4",
    "@egavard/semantic-release-slack": "^1.0.9",
    "@nestjs/cli": "^10.1.11",
    "@nestjs/schematics": "^10.0.2",
    "@nestjs/testing": "^10.1.3",
    "@saithodev/semantic-release-backmerge": "^3.1.0",
    "@semantic-release/changelog": "^6.0.3",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/gitlab": "^12.0.1",
    "@trivago/prettier-plugin-sort-imports": "^3.4.0",
    "@types/express": "^4.17.14",
    "@types/jest": "29.5.3",
    "@types/joi": "^17.2.3",
    "@types/node": "^16.11.59",
    "@types/rdf-validate-shacl": "^0.4.0",
    "@types/rdfjs__parser-n3": "^1.1.5",
    "@types/supertest": "^2.0.12",
    "@typescript-eslint/eslint-plugin": "^5.37.0",
    "@typescript-eslint/parser": "^5.37.0",
    "cross-env": "7.0.3",
    "eslint": "^8.23.1",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-prettier": "^4.2.1",
    "jest": "^29.6.2",
    "prettier": "^2.7.1",
    "rimraf": "^3.0.2",
    "semantic-release": "^21.0.0",
    "shx": "^0.3.4",
    "source-map-support": "^0.5.20",
    "supertest": "^6.2.4",
    "testcontainers": "^9.9.1",
    "ts-jest": "^29.1.1",
    "ts-loader": "^9.3.1",
    "ts-node": "^10.9.1",
    "tsconfig-paths": "^3.10.1",
    "typescript": "^4.8.3"
  }
}
